<?php
/*
APPLICATION ATELIERPHP-e-signets - version 3.4	
Ensemble d'outils de gestion permettant d'entreposer et de gérér des signets 
sur une page internet.
SITE : http://www.e-signets.fr	
CONTACT : CONTACT2 (arobase) ATELIERPHP (point) NET			

Copyright Jean-Marie & Thierry Poulhès Poulhès 2007-2008 Tous droits réservés.

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le
modifier suivant les termes de la “GNU General Public License” (GPL) telle que
publiée par la Free Software Foundation : soit la version 3 de cette
licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l’espoir qu’il vous sera utile, mais SANS
AUCUNE GARANTIE : sans même la garantie implicite de COMMERCIABILITÉ
ni d’ADÉQUATION À UN OBJECTIF PARTICULIER. 
Consultez la Licence Générale Publique GNU pour plus de détails:
<http://www.gnu.org/licenses/gpl-3.0.html> 
ou en français <http://www.april.org/groupes/trad-gpl/doc/GPLv3/www.rodage.org/gpl-3.0.fr.html> 
ou encore <http://fsffrance.org/gpl/gpl-fr.fr.html> 

Vous devriez avoir reçu une copie de la Licence Générale Publique GNU avec
ce programme (fichier  : licence-gpl-3.0.html); si ce n’est pas le cas, consultez 
les liens ci-dessus.
*/
require("../admin/variables.php"); 
?>
<?php
if (!session_id())
{
	session_start();
}
if (isset($_SESSION['utilisateur']) and ($_SESSION['utilisateur'] == $curDir))
{
?>
<html>
<head>
<title>e-signets version <?php  echo $version ?> Documentation pour l'application e-signets</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<LINK rel='stylesheet' href='../styles/feuille_documentation.css' type='text/css'>
<LINK rel='stylesheet' href='../styles/feuille_documentation_structure_tables.css' type='text/css'>
</head>

<body>
<html><head>
<title>Documentation pour l'application e-signets</title>
</head>
<body><center>
<h3>Documentation pour l'application e-signets</h3>
<table><tr><td align=left><ol>
<li><a href="#_section_1"><b>Synoptique</b></li>
<li><a href="#_section_2"><b>Signets actifs/en hibernation</b></li>
<li><a href="#_section_3"><b>Signets valides/invalides</b></li>
<li><a href="#_section_4"><b>Table des catégories </b></li>
<li><a href="#_section_5"><b>Table des signets</b></li>
</td></tr></table>
</center>
<ol>
<li><a name="_section_1"><h3>Schéma synoptique de l'application </h3>
<p></p>
<img src=schema.jpg >
<P></p></li>
<li><a name="_section_2"><h3>Signets actifs/en hibernation </h3>
Principe : 2 tables pour la totalité des signets et leur classement.
Les deux tables sont liées, pour chaque enregistrement de la table
des signets correspond un enregistrement unique de la table des
catégories.
<br /><br />Double état :
<br />
<br />Un signet est soit
<br /> -  en hibernation : dans aucune catégorie  (cas où l'on supprime des
enregistrements de la table des catégories sans supprimer les signets appartenant à ces catégories)
<br /> -  actif : dans un groupe, une catégorie, une sous-catégorie .
<br />
<li><a name="_section_3"><h3>Signets valides / invalides </h3>
<br />Un signet est soit
<br /> -  Valide (automatique): le lien n'est pas cassé et on veut l'afficher  (ce signet n'a pas encore été vérifié, 
ou a été vérifié par la vérification automatique (option du menu utilisateur "vérifier les liens actifs..."), 
et a été trouvé "valide" lors de cette vérification.)
<br /> -  Valide forcé: typiquement, ce lien a été considéré à tort comme non-valide lors de la vérification
autmatique (cas où la page d'accueil du site renvoi sur une autre page...), puis forcé valide à l'aide du menu 
"gérer les liens invalides...". <br />
<b>Une fois forcé valide, ce lien ne sera plus soumis à la vérification automatique</b><br /> 
<br /> -  Non-Valide : le lien est cassé ou ne veut pas l'afficher, typiquement, il a été considéré comme 
"cassé" lors de la précédente vérification automatique.<br />
<b>Les liens dans cet état sont toujours soumis à la vérification automatique, et peuvent donc repasser automatiquement
dans un état "valide (automatique)"</b><br /> 

</P>
</P></li>
<li><a name="_section_4"><h3>Table des catégories</h3>
<ul>Description :
<li>Un enregistrement par sous-catégorie,
<li>Si le nom de catégorie est identique à celui de la sous-catégorie, il s'agit d'un enregistrement de catégorie.
<li>L'identifiant unique est le "category_id", qui identifie une sous-catégorie.
<br />
</P>
<div class="requete">
<pre>"CREATE TABLE $ep_category_tablename (
		   category_id integer  auto_increment NOT NULL, 
		   category_group varchar(30) NOT NULL,
		   category_group_id integer,
		   category_group_private_flag int(1) default 1 NOT NULL,
		   category_group_column_number int(1) default 1 NOT NULL,
		   category_category varchar(30) NOT NULL,
		   category_sub_category varchar(30) NOT NULL,
		   category_description varchar (80),
		   PRIMARY KEY (category_id),
		   UNIQUE  index (category_group, category_category, category_sub_category))")</pre>			 
</div>
<br />
<table>
<tr><th>Nom</th><th>Paramètres</th><th>Description</th></tr>
<tr><td>category_id</td>
<td>integer  auto_increment NOT NULL</td>
<td>Identifiant unique de l'enregistrement</td>
</tr>
<tr>
<td>category_group</td>
<td>varchar(30) NOT NULL</td>
<td>Nom du groupe auquel appartiennent la catégorie et la sous-categorie</td>
</tr>
<tr>
<td>category_group_id</td>
<td>integer</td>
<td>Index pour le groupe</td>
</tr>
<tr>
<td>category_group_private_flag</td>
<td>integer</td>
<td>Indique si le groupe est privé ou public</td>
</tr>
<tr>
<td>category_group_column_number</td>
<td>int(1) default 1 NOT NULL</td>
<td>Numéro d'emplacement de la colonne du groupe, pour affichage </td>
</tr>
<tr>
<td>category_category</td>
<td>varchar(30) NOT NULL</td>
<td>Nom de la catégorie</td>
</tr>
<tr>
<td>category_sub_category</td>
<td>varchar(30) NOT NULL</td>
<td>Nom de la sous-catégorie</td>
</tr>
<tr>
<td>category_description</td>
<td>char(1) NOT NULL</td>
<td>Description de la sous-catégorie ou de la catégorie</td>
</tr>
</table>




<li><a name="_section_5"><h3>Table des signets</h3>


<P>Description :

<br />Chaque enregistrement correspond à un signet. Chaque signet est classé
dans un groupe, catégorie et sous-catégorie, ce classement si il existe est
enregistré dans un champ sous forme d'un numéro qui correspond à un unique
enregistrement de la table des catégories.
<br />La validité du lien est une information enregistré,
ainsi que son appartenance ou non aux favoris.
</P>

<div class="requete">
<pre>CREATE TABLE $ep_url_tablename (
   url_id int(10) NOT NULL auto_increment,
   url_category_id integer NOT NULL,
   url_title varchar(150) NOT NULL,
   url_sub_title varchar(150) ,
   url varchar(150) NOT NULL,
   url_description text ,
   url_registerdate date,
   url_hit int(5) NOT NULL,
   url_lastaccesstime timestamp(14),
   url_approved char(1) NOT NULL,
   url_verif_flag char(1) NOT NULL,
   url_main_flag char(1) NOT NULL,
   url_hidden_description text ,
   url_favorite char(1) NOT NULL,
   url_hibernate char(1) NOT NULL,
   PRIMARY KEY (url_id),
   UNIQUE url (url, url_category_id),
   FULLTEXT (url_sub_title,url_title,url,url_description,url_hidden_description)) $isam " ;</pre>
</div>

<br />
  
<table>
<tr><th>Nom</th><th>Paramètres</th><th>Description</th></tr>
<tr>
  <td>url_id</td>
  <td>int(10) NOT NULL auto_increment</td>
  <td>Identifiant unique de l'enregistrement</td>
</tr>
<tr>
  <td>url_category_id</td>
  <td>integer NOT NULL</td>
  <td>Identifiant de la catégorie à laquelle appartient le lien</td>
</tr>
<tr>
  <td>url_title</td>
  <td>varchar(150) NOT NULL</td>
  <td>Titre</td>
</tr>
<tr>
  <td>url_sub_title</td>
  <td>varchar(150)</td>
  <td>Sous-titre</td>
</tr>
<tr>
  <td>url</td>
  <td>varchar(150) NOT NULL</td>
  <td>URL de la forme http://www.monsite.net</td>
</tr>
<tr>
  <td>url_description</td>
  <td>text</td>
  <td>Description</td>
</tr>
<tr>
  <td>url_registerdate</td>
  <td>date</td>
  <td>Date de création de l'enregistrement</td>
</tr>
<tr>
  <td>url_hit</td>
  <td>int(5) NOT NULL</td>
  <td>Nombre d'accès (non utilisé dans cette version)</td>
</tr>
<tr>
  <td>url_lastaccesstime</td>
  <td>timestamp(14)</td>
  <td>Date de dernier accès</td>
</tr>
<tr>
  <td>url_approved</td>
  <td>char(1) NOT NULL</td>
  <td>Validité du lien (non utilisé dans cette version)</td>
</tr>
<tr>
  <td>url_verif_flag</td>
  <td>char(1) NOT NULL</td>
  <td>Le lien a été vérifié avec succès lors de la vérification automatique ou manuellement forcé valide avec le menu prévu à cet effet
	(menu "gérer les liens invalides")</td>
</tr>
<tr>
  <td>url_main_flag</td>
  <td>char(1) NOT NULL</td>
  <td>Non utilisé dans cette version</td>
</tr>
<tr>
  <td>url_hidden_description</td>
  <td>text</td>
  <td>mots-clés complétant titres et description permettant de retrouver le signet par le formulaire de recherche</td>
</tr>
<tr>
  <td>url_favorite</td>
  <td>char(1) NOT NULL</td>
  <td>Lien "favori" : qui s'affiche lors de l'ouverture de l'application, ou en cliquant sur "favoris" dans le menu</td>
</tr>
<tr>
  <td>url_hibernate</td>
  <td>char(1) NOT NULL</td>
  <td>Lien en hibernation: dans la base, mais dans aucun groupe (accessible par le menu "gestion des liens en hibernation")</td>
</tr>
</table>
<?php
}
require ("../pied_de_page/pied_de_page.php");
?>
</body>
</html>
